This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 832666 - (kfaenza-icon-theme) Review Request: kfaenza-icon-theme - Faenza-Cupertino Icon Theme for KDE
Review Request: kfaenza-icon-theme - Faenza-Cupertino Icon Theme for KDE
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
: 832669 (view as bug list)
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2012-06-16 06:09 EDT by Minh Ngo
Modified: 2012-11-29 01:36 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-28 06:26:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Minh Ngo 2012-06-16 06:09:04 EDT
Spec URL: https://raw.github.com/Ignotus/kfaenza-icon-theme/9b73edcb414de0acc42a63479fcfaebb1ba749f6/kfaenza-icon-theme.spec
SRPM URL: https://dl.dropbox.com/s/jvcfa97ow9xhl5g/kfaenza-icon-theme-0.8.9-1.fc17.src.rpm?dl=1
Description: Contains icons for Faenza-Cupertino theme for KDE
Fedora Account System Username: ignotusp
Comment 1 Minh Ngo 2012-06-16 06:28:07 EDT
*** Bug 832669 has been marked as a duplicate of this bug. ***
Comment 2 Rex Dieter 2012-06-25 10:07:29 EDT
pre-review comments:

1.  missing icon-related scriptlets,
https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Icon_Cache

Didn't look to check yet, but this theme may benefit from including
Inherits=faenza
in it's theme file.

from  faenza-icon-theme already in fedora.
Comment 4 Brendan Jones 2012-07-10 22:19:24 EDT
Hi, can you please address the invalid-url and hidden-file-or-dir warnings?

f17laptop:~ $ rpmlint ~/Downloads/kfaenza-icon-theme-0.8.9-2.fc17.src.rpm 
kfaenza-icon-theme.src: W: spelling-error Summary(en_US) Faenza -> Cadenza
kfaenza-icon-theme.src: W: no-%build-section
kfaenza-icon-theme.src: W: invalid-url Source0: http://ompldr.org/vYjR0NQ/kfaenza-icon-theme-0.8.9.tar.gz <urlopen error [Errno 111] Connection refused>
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


f17laptop:~ $ rpmlint /home/bsjones/rpmbuild/RPMS/noarch/kfaenza-icon-theme-0.8.9-2.fc17.noarch.rpm
kfaenza-icon-theme.noarch: W: spelling-error Summary(en_US) Faenza -> Cadenza
kfaenza-icon-theme.noarch: W: no-documentation
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/actions/64/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/devices/48/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/actions/32/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/places/scalable/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/status/scalable/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/emblems/16/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/categories/32/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/emblems/48/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/devices/256/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/categories/scalable/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/actions/256/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/places/32/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/apps/256/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/places/48/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/mimetypes/48/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/categories/64/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/places/128/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/actions/128/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/devices/16/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/status/22/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/status/16/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/places/64/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/actions/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/places/16/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/apps/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/actions/16/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/apps/scalable/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/places/22/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/devices/scalable/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/apps/16/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/status/48/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/places/256/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/apps/128/.directory
kfaenza-icon-theme.noarch: E: zero-length /usr/share/icons/KFaenza/actions/64/stock_new-address-book.png
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/devices/22/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/categories/128/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/mimetypes/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/devices/64/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/categories/22/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/mimetypes/256/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/apps/48/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/categories/48/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/categories/256/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/apps/64/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/actions/22/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/emblems/22/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/devices/128/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/status/128/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/mimetypes/128/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/categories/16/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/emblems/32/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/emblems/scalable/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/apps/22/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/actions/48/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/actions/scalable/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/mimetypes/scalable/.directory
kfaenza-icon-theme.noarch: W: hidden-file-or-dir /usr/share/icons/KFaenza/categories/.directory
Comment 5 Minh Ngo 2012-07-23 03:54:39 EDT
Have you tried to download this link (http://omploader.org/vYjR0NQ/kfaenza-icon-theme-0.8.9.tar.gz ) by wget? It works.
Comment 6 Minh Ngo 2012-09-25 18:44:20 EDT
Hidden files have been removed:

SPEC: https://raw.github.com/Ignotus/fedora-packages/cc195da803c2dd195727dc2ebb4399503e81677b/kfaenza-icon-theme/kfaenza-icon-theme.spec

SRPM file is too large for uploading. Please use BUILD.sh script from https://github.com/Ignotus/fedora-packages/tree/cc195da803c2dd195727dc2ebb4399503e81677b/kfaenza-icon-theme for building.
Patches are there too.
Comment 7 Rex Dieter 2012-10-06 11:15:28 EDT
$ rpmlint kfaenza-icon-theme.spec
kfaenza-icon-theme.spec: W: no-%build-section
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

naming: ok

1. SHOULD drop index.patch, I don't think it's helpful.  Looks like faenza actually installs as Faenza ondisk, and the other inherits look legit to me.

2. MUST drop -f from gtk-update-icon-cache scriptlet calls (the guidelines were recently fixed to not include that)

3. SHOULD drop deprecated/unused .spec tags, including:
Group:

4.  SHOULD drop
BuildRequires:  gtk2 >= 2.6.0
doesn't look like it's used or needed here (if it is, please document why in the .spec)

5. SHOULD ping upstream to include licensing information/file in their source tarball

6. SHOULD consider using the included INSTALL script in some form.  it looks like it creates a bunch of compatibiliy symlinks for various things
Comment 8 Rex Dieter 2012-11-08 10:57:15 EST
ping, it's been a little while, you still able and interested in kfaenza-icon-theme ?
Comment 9 Minh Ngo 2012-11-08 12:19:36 EST
Yes.
Comment 10 Rex Dieter 2012-11-08 14:17:59 EST
On the other hand, pretty much all of my comments are non-blockers (even the scriptlet thing, it's only an optimization).

APPROVED


i'll try to look things over again once you've imported it to be sure, and please do address all those SHOULD items prior to doing any official builds.  thanks.
Comment 11 Minh Ngo 2012-11-09 04:25:52 EST
New Package SCM Request
=======================
Package Name: kfaenza-icon-theme
Short Description: Faenza-Cupertino Icon Theme for KDE
Owners: minh
Branches: f16 f17 f18
InitialCC:
Comment 12 Gwyn Ciesla 2012-11-09 06:59:52 EST
Git done (by process-git-requests).
Comment 13 Fedora Update System 2012-11-10 03:51:23 EST
kfaenza-icon-theme-0.8.9-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kfaenza-icon-theme-0.8.9-3.fc16
Comment 14 Fedora Update System 2012-11-10 03:52:31 EST
kfaenza-icon-theme-0.8.9-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kfaenza-icon-theme-0.8.9-3.fc17
Comment 15 Fedora Update System 2012-11-10 03:53:25 EST
kfaenza-icon-theme-0.8.9-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kfaenza-icon-theme-0.8.9-3.fc18
Comment 16 Fedora Update System 2012-11-10 14:41:43 EST
kfaenza-icon-theme-0.8.9-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 17 Fedora Update System 2012-11-28 06:26:32 EST
kfaenza-icon-theme-0.8.9-3.fc16 has been pushed to the Fedora 16 stable repository.
Comment 18 Fedora Update System 2012-11-28 06:39:41 EST
kfaenza-icon-theme-0.8.9-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 19 Fedora Update System 2012-11-29 01:36:02 EST
kfaenza-icon-theme-0.8.9-3.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.